Package org.firebirdsql.gds.ng.wire.crypt

## Class FBSQLEncryptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - java.sql.SQLInvalidAuthorizationSpecException
          - - org.firebirdsql.gds.ng.wire.crypt.FBSQLEncryptException

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

      public class FBSQLEncryptException
      extends java.sql.SQLInvalidAuthorizationSpecException

  Exception that indicates encryption could not be initialized.

  This exception is thrown when wire encryption cannot be initialized, for example if the current authentication plugin does not support generating a session key, or if no matching cipher can be found.

  Since:
    4.0
  Author:
    Mark Rotteveel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBSQLEncryptException​(java.lang.String reason, java.lang.String sqlState, int vendorCode)` |

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### FBSQLEncryptException

          public FBSQLEncryptException​(java.lang.String reason,
                                       java.lang.String sqlState,
                                       int vendorCode)